using UnityEngine;
using System.Collections;

public class EnemyPatrol : MonoBehaviour {
	
	public PackedSprite enemySprite;
	public Transform waypointA;
	public Transform waypointB;
	
	void Start() {
		MoveToWaypointB();
	}
	
	// patrol
	public void MoveToWaypointA() {
		enemySprite.PlayAnim(1);
		iTween.MoveTo(gameObject,iTween.Hash("position",new Vector3(waypointA.position.x,transform.position.y,transform.position.z),"time",2f,"easetype","linear","oncomplete","MoveToWaypointB"));
	}
	public void MoveToWaypointB() {
		enemySprite.PlayAnim(0);
		iTween.MoveTo(gameObject,iTween.Hash("position",new Vector3(waypointB.position.x,transform.position.y,transform.position.z),"time",2f,"easetype","linear","oncomplete","MoveToWaypointA"));
	}
	
	// collision
	void OnTriggerEnter(Collider other) {
		if(other.gameObject.tag == "slideCollision") {
			KillMe();
		}
	}
	
	// death
	void KillMe() {
		iTween.Stop(gameObject); // stop iTween movement
		transform.position = new Vector3(10f,0f,0f); // move enemy offscreen
	}
}
